Skip to main content
`Ctrl`+`K`

# DMStagMigrateVec

transfer a vector associated with a `DMSTAG` to a vector associated with a compatible `DMSTAG`

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagMigrateVec(DM dm, Vec vec, DM dmTo, Vec vecTo)

Collective

## Input Parameters

- dm - the source `DMSTAG` object

- vec - the source vector, compatible with `dm`

- dmTo - the compatible destination `DMSTAG` object

- vecTo - the destination vector, compatible with `dmTo`

## Notes

Extra dof are ignored, and unfilled dof are zeroed. Currently only implemented to migrate global vectors to global vectors. For the definition of compatibility of `DM`s, see `DMGetCompatibility()`.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagCreateCompatibleDMStag()`, `DMGetCompatibility()`, `DMStagVecSplitToDMDA()`

## Level

advanced

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex2.c
src/dm/impls/stag/tutorials/ex1.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages